<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="adfAnnouncementGet/Announcement/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />

      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(adfAnnouncementGet/Announcement)"  disable-output-escaping="yes"/>
        <xsl:apply-templates select="//Announcement"/>
        <xsl:value-of select="adf:GetFooter(adfAnnouncementGet/Announcement)"  disable-output-escaping="yes"/>

      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="Announcement">
    <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="PublicationTime">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Дата публикации:
                  </xsl:when>
                  <xsl:otherwise>
                    Publication Date:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:FormatXmlDate(PublicationTime,'d')"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>