<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="pjm5DocumentCardGet/DocumentCard/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(pjm5DocumentCardGet/DocumentCard)"  disable-output-escaping="yes"/>
        <xsl:apply-templates select="pjm5DocumentCardGet/DocumentCard"/>
        <xsl:value-of select="adf:GetFooter(pjm5DocumentCardGet/DocumentCard)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="DocumentCard">
    <table class="main" cellspacing="0" cellpadding="0" border="0">
        <xsl:choose>
          <xsl:when test="Number">
            <tr>
              <td>
                <strong>
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Номер:
                    </xsl:when>
                    <xsl:otherwise>
                      Number:
                    </xsl:otherwise>
                  </xsl:choose>
                </strong>
                <xsl:value-of select="Number"/>
              </td>
            </tr>
          </xsl:when>
        </xsl:choose>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Дата:
              </xsl:when>
              <xsl:otherwise>
                Date:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="adf:FormatXmlDate(Date, 'dd.MM.yyyy')"/>
        </td>
      </tr>
    </table>
    <table class="main"  cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Компания:
              </xsl:when>
              <xsl:otherwise>
                Company:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:choose>
            <xsl:when test="CompanyID">
              <xsl:value-of select="adf:GetListMember(CompanyID, 'Company', 'Name')"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  (не указана)
                </xsl:when>
                <xsl:otherwise>
                  (none)
                </xsl:otherwise>
              </xsl:choose>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <xsl:choose>
        <xsl:when test="ContactID">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Контакт:
                  </xsl:when>
                  <xsl:otherwise>
                    Contact:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
                  <xsl:value-of select="adf:GetListMember(ContactID, 'Employee', 'Name')"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="DivisionID">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Подразделение:
                  </xsl:when>
                  <xsl:otherwise>
                    Division
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(DivisionID, 'Division', 'Name')"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="DocumentCardClassID">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Тип:
                  </xsl:when>
                  <xsl:otherwise>
                    Type:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(DocumentCardClassID, 'DocumentCardClass', 'Name')"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="CardOwnerID">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Контролер:
                  </xsl:when>
                  <xsl:otherwise>
                    Supervisor:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(CardOwnerID, 'Employee', 'Name')"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="CustodyPlaceID">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Место хранения:
                  </xsl:when>
                  <xsl:otherwise>
                    Custody Place:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(CustodyPlaceID, 'CustodyPlace', 'Name')"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
    </table>
  </xsl:template>
</xsl:stylesheet>