<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="pjm5DocumentItemGet/DocumentItem/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(pjm5DocumentItemGet/DocumentItem)"  disable-output-escaping="yes"/>
        <xsl:apply-templates select="pjm5DocumentItemGet/DocumentItem"/>
        <xsl:value-of select="adf:GetFooter(pjm5DocumentItemGet/DocumentItem)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="DocumentItem">
    <table class="main" cellspacing="0" cellpadding="0" border="0">
      <xsl:choose>
        <xsl:when test="FileName">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Имя файла:
                  </xsl:when>
                  <xsl:otherwise>
                    File Name:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="FileName"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="CardOwnerID">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Контролер:
                  </xsl:when>
                  <xsl:otherwise>
                    Supervisor:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(CardOwnerID, 'Employee', 'Name')"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
    </table>
  </xsl:template>
</xsl:stylesheet>