<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:decimal-format name="not_NAN" NaN="0"/>
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
 
    <HTML>
     
      <HEAD>
        <TITLE>
          <xsl:value-of select="pjm5IssueGet/Issue/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />

      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(pjm5IssueGet/Issue)"  disable-output-escaping="yes"/>
        <xsl:apply-templates select="//Issue"/>
        <xsl:value-of select="adf:GetFooter(pjm5IssueGet/Issue)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="Issue">
   
    <table class="main"  cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Проект:
              </xsl:when>
              <xsl:otherwise>
                Project:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="adf:GetListMember(ProjectID, 'Project', 'Name')"/>
        </td>
      </tr>
      <tr>
        <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Исполнитель:
                  </xsl:when>
                  <xsl:otherwise>
                    Assignment:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>           
          <xsl:choose>
            <xsl:when test="EmployeeID">
              <xsl:value-of select="adf:GetListMember(EmployeeID, 'Employee', 'Name')"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  (не указан)
                </xsl:when>
                <xsl:otherwise>
                  (none)
                </xsl:otherwise>
              </xsl:choose>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Приоритет:
              </xsl:when>
              <xsl:otherwise>
                Priority:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="adf:GetListMember(PriorityID, 'Priority', 'Name')"/>
        </td>
      </tr>

      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Серьезность:
              </xsl:when>
              <xsl:otherwise>
                Severity:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="adf:GetListMember(SeverityID, 'Severity', 'Name')"/>
        </td>
      </tr>
      <xsl:choose>
        <xsl:when test="DueDate">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Исполнить до:
                  </xsl:when>
                  <xsl:otherwise>
                    Due Date:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:FormatXmlDate(DueDate,'d')"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="adf:FormatXmlDate(DueDate,'t')"/>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>	 </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="adf:GetParameter('Pjm5','AdvancedTimeExpensesForm')='True'">
          <tr>
            <td>
              <xsl:choose>
                <xsl:when test="ManHour">
                  <br />
                  <strong>
                    <xsl:choose>
                      <xsl:when test="$lang = 'ru'">
                        Трудозатраты:
                      </xsl:when>
                      <xsl:otherwise>
                        ManHour:
                      </xsl:otherwise>
                    </xsl:choose>
                  </strong>
                  <br />
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                  Планируемая:
                </xsl:when>
                <xsl:otherwise>
                  Planned:
                </xsl:otherwise>
              </xsl:choose>
              <xsl:variable name="x" select="ManHour" />
                  <xsl:choose>
                    <xsl:when test="($x div 60) >= 1">
                      <xsl:value-of select="format-number(($x - ($x mod 60)) div 60,'0')"/>
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          час.
                        </xsl:when>
                        <xsl:otherwise>
                          hour.
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:when>
                    <xsl:when test="($x div 60) = 0">
                      <xsl:value-of select="format-number(0,'0')"/>
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          мин.
                        </xsl:when>
                        <xsl:otherwise>
                          min.
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:when>
                    <xsl:otherwise>  </xsl:otherwise>
                  </xsl:choose>
                  <xsl:choose>
                    <xsl:when test="($x mod 60) != 0">
                      <xsl:value-of select="format-number($x mod 60,'0')"/>
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          мин.
                        </xsl:when>
                        <xsl:otherwise>
                          min.
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:when>

                    <xsl:otherwise>  </xsl:otherwise>
                  </xsl:choose>
                  <br />
                  
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Фактическая:
                    </xsl:when>
                    <xsl:otherwise>
                      Real:
                    </xsl:otherwise>
                  </xsl:choose><xsl:variable name="y" select="ActualManHour"/>
                  <xsl:choose>
                    <xsl:when test="($y div 60) >= 1">
                      <xsl:value-of select="format-number(($y - ($y mod 60)) div 60,'0')"/>
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          час.
                        </xsl:when>
                        <xsl:otherwise>
                          hour.
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:when>
                    <xsl:when test="($y div 60) = 0">
                      <xsl:value-of select="format-number(0,'0', 'not_NAN')"/>
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          мин.
                        </xsl:when>
                        <xsl:otherwise>
                          min.
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:when>
                    <xsl:otherwise>  </xsl:otherwise>
                  </xsl:choose>
                  <xsl:choose>
                    <xsl:when test="($y mod 60) != 0">
                      <xsl:value-of select="format-number($y mod 60,'0', 'not_NAN')"/>
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          мин.
                        </xsl:when>
                        <xsl:otherwise>
                          min.
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:when>
                    <xsl:otherwise>  </xsl:otherwise>
                  </xsl:choose>
                  <br />
                </xsl:when>
                <xsl:otherwise>	 </xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
          <xsl:choose>
            <xsl:when test="HasFinanceAccess = 'true'">
              <tr>
                <td>
                  <xsl:choose>
                    <xsl:when test="Budget">
                      <br />
                      <strong> 
                        <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          Бюджет:
                        </xsl:when>
                        <xsl:otherwise>
                          Budget:
                        </xsl:otherwise>
                      </xsl:choose> </strong>
                      <br />

                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          Планируемый:
                        </xsl:when>
                        <xsl:otherwise>
                          Planned:
                        </xsl:otherwise>
                      </xsl:choose><xsl:variable name="bp" select="Budget"/>
                      <xsl:value-of select="format-number($bp,'0.##')"/><xsl:text> </xsl:text> <xsl:value-of select="CurrencyCode"/> <br />
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          Фактический:
                        </xsl:when>
                        <xsl:otherwise>
                          Real:
                        </xsl:otherwise>
                      </xsl:choose><xsl:variable name="bf" select="ActualBudget"/>
                      <xsl:value-of select="format-number($bf,'0.##')"/> <xsl:text> </xsl:text> <xsl:value-of select="CurrencyCode"/> <br />
                      <br />
                    </xsl:when>
                    <xsl:otherwise>	 </xsl:otherwise>
                  </xsl:choose>
                </td>
              </tr>
            </xsl:when>
          </xsl:choose>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="ResolutionID">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Решение:
                  </xsl:when>
                  <xsl:otherwise>
                    Resolution:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(ResolutionID, 'Resolution', 'Name')"/>
              <xsl:text> </xsl:text>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>	 </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="Resolution">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Комментарий к решению:
                  </xsl:when>
                  <xsl:otherwise>
                    Comments:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="Resolution"/>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>	 </xsl:otherwise>
      </xsl:choose>
    </table>
  </xsl:template>
</xsl:stylesheet>